test:
  image: ubuntu
  services:
    # Note: For (bind-)mounted volumes, only `/builds/**` will be consistently
    # visible from the script below and started Docker containers.
    # Exposed ports will not be visible as `localhost` but only as `docker`.
    - docker:dind
  script:
    # See <https://github.com/docker-library/docker/blob/master/docker-entrypoint.sh>
    - export DOCKER_HOST="$DOCKER_PORT"
    # See <https://github.com/nir0s/distro#background>
    - sed -i 's/ubuntu/example/ig' /etc/*[-_]release /etc/*[-_]version
    - ./setup-gitlab-ci
    - cd test && HEADLESS=1 ./run-tests
  artifacts:
    when: always
    paths:
    - test/artifacts/**
